#include <gint/display.h>
#include <gint/keyboard.h>
#include <gint/timer.h>

#include "world.h"
#include "mario.h"

int callback(volatile void *arg)
{
    volatile int *has_ticked = arg;
    *has_ticked = 1;
    numero_frame=(numero_frame+1)%6;
    return 0;
}

int main(void)
{
    volatile int has_ticked = 1;

    timer_setup(0, timer_delay(0, 10000), timer_Po_4, callback, &has_ticked);
    timer_start(0);

    while(global_quit==0)
    {
        has_ticked=0;

        dclear(C_WHITE);
    
        world_draw(mario.x,mario.y);
        //ennemies_draw();
        mario_draw();
        //ingame_draw();

        dupdate();

        //keyboard_reload();
        mario_move();

        if(keydown(KEY_EXIT)) global_quit = 1;
    }

    timer_stop(0);
}